# The Lost Scrolls

## Chapter 1
Avid, Damon's aide, is corrupting Viking souls with Yagluth's spirit. Turning them into foes to go against the warriors of Valhalla that even Odin could not stop. Free this lost Viking souls to give them rest.

## Mod Guide
More information about the Lost Scrolls on its dedicated webpage: https://www.taegukgaming.online/lost-scrolls

## Manual Installation
- Download the mod and place the dll file in your plugins folder.
- Put the cfg files in your config folder.
- Download the latest BepInEx and SpawnThat mod by ASharpPen.
Make sure to follow the installation instructions.
- BepInEx - https://valheim.thunderstore.io/package/denikson/BepInExPack_Valheim/

## Links
- Website: https://www.taegukgaming.online/
- Discord Channel: https://discord.gg/ZUEBzqSaVr
- Support Taeguk Gaming: https://www.patreon.com/taegukgaming

<details>
  <summary><b><span style="color:cyan;font-weight:200;font-size:20px">
    Patchnotes
</span></b></summary>

| Version Number | Change(s)        |
|:---------------|:-----------------|
| v2.0.1         | - Updated Blaxxun's ItemManager. |
| v2.0.0         | - Updated for Hildir Request patch compatibility.<br>- This mod is currently at work and there will be major updates on all creatures in terms of attacks, animations, visuals, and the spawn mechanics. There will be a major change as well on how to progress on the quest!<br><br><b>Corrupted Warrior</b><br>- Changed skin material making it look like a darkened soul plus some more visual updates.<br>- Set to wield only a battle axe instead of switching from different weapons.<br>- Removed old attacks<br>- New attacks:<br>1) Battleaxe combo<br>2) 360 axe swing<br>3) Rage (roots players in fear within range)<br>4) Ultimate skill: Fiery Bash attack<br><br><b>Corrupted Assassin</b><br>- Changed skin material making it look like a darkened soul plus some more visual updates.<br>- Wields a darkened version of draugr bow and a dagger depending on the attack (dual wields dagger with the bow)<br>- Removed old attacks<br>- New attacks:<br>1) Single bow shots<br>2) Roundhouse and front kick combo<br>3) Flying kick (pushes target further)<br>4) Ultimate skill: Three quick shots (roots target when hit)<br><br><b>Corrupted Battlemage</b><br>- Changed skin material making it look like a darkened soul plus some more visual updates.<br>- Wields Yagluth's dark spirit as its power source on left hand. Right hand wields changing elements based on attack.<br>- Removed old attacks.<br>- New attacks:<br>1) Fireball (throws and fireball and explodes on impact)<br>2) Frost Nova (close range magic attack the freezes all targets within radius)<br>3) Dark push (quickly pushes the target in close range)<br>4) Ultimate skill: Dark Soul Debuff (uses Yagluth's spirit to cast a spell that reduces movement speed, attack (physical and elemental) and fire/ice defenses of target within range)<br><br><b>Future Updates</b><br>- Basar, Gurav, Kreas, and Damon upgrades.<br>- New quest mechanics in obtaining the lost scrolls.<br>- New usable items to summon aid during battle with the Tier 2 bosses.<br>- Heavenly capes, scrolls, and fruit of Spirit items are removed. Heavenly capes will return on future updates. |
| v1.2.2         | - Changed spawn data of Corrupted Warrior, Assassin and Mage. They no longer spawn on locations but instead on their respective biomes. (Warrior in the Swamp, Assassin on the Mountains, and Mage in the Plains)<br>- Updated Scroll pages 1, 2 and 3 content regarding the corrupted Vikings spawns.  |
| v1.2.1         | - Rebalanced NPC creatures HP, damage resistance and weaknesses, and attack values to match Vanilla<br> - Set Basar and Damon shockwave attack interval to 30 seconds from none.<br> - Increased all NPC and creature radius before despawn from 50 to 80 to avoid immediate despawn when creature spawned further.<br> - Renamed all attack names on config for easier identification<br> - Added spawn message to each creature<br><b>Note: You will need to delete your current config file to apply update changes<b>  |
| v1.2.0         | - Update for Valheim 0.216.9<br> - Fixed vfx errors.<br> - Updated Spawn That version dependency. |
| v1.1.0         | - Increased Corrupted Warrior, Assassin, and Mage spawn rate from 20% to 35%.<br> - Reduced spawn intervals of Gaurav, Kreas, Basar, Avid, and Damon and all set to 10 mins<br> - Optimized Gaurav and Corrupted Assassin firing bow animation. Now it starts with a short aim then fire instead of straight fire animation.<br> - Removed shader warnings on logs. |
| v1.0.1         | Reduced Corrupted Vikings and Messenger spawn intervals. |
| v1.0.0         | Release Version. |

</details>